<?php

namespace Drupal\workbench_approver\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Controller for Workbench integration.
 */
class WorkbenchController extends ControllerBase {

  /**
   * The core module handler.
   *
   * @var \Drupal\Core\Extension\ModuleHandlerInterface
   */
  protected $moduleHandler;

  /**
   * Constructs a WorkbenchController object.
   *
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The core module handler.
   */
  public function __construct(ModuleHandlerInterface $module_handler) {
    $this->moduleHandler = $module_handler;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('module_handler')
    );
  }

  /**
   * Content callback.
   *
   * @return array
   *   A Drupal render array.
   */
  public function content(): array {
    $blocks = [];
    $blocks['workbench_approver'] = views_embed_view('workbench_approver_workbench_tab', 'approvals');

    // Allow other modules to alter the default page.
    // @todo Test whether this introduces a hard dependency.
    $context = 'approvals';

    $this->moduleHandler->alter('workbench_content', $blocks, $context);

    return $blocks;
  }

}
