<?php

namespace Drupal\workbench_approver\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\workbench_approver\Entity\ApproverInterface;

/**
 * Form for a reviewer to approve a node revision.
 *
 * On this form, a user can only leave a note and set
 * the status to "approved."
 */
class ApproveForm extends ApproverFormBase {

  /**
   * {@inheritdoc}
   */
  public $allowedFields = [
    'notes',
  ];

  /**
   * {@inheritdoc}
   */
  public $status = ApproverInterface::APPROVAL_GRANTED;

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $formState) {
    $form = parent::form($form, $formState);

    $this->setStatus($form);
    $this->resetNotes($form);
    $this->removeFields($form);

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function getSubmitTitle() {
    return $this->t('Approve revision');
  }

}
