<?php

namespace Drupal\workbench_approver\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\workbench_approver\Entity\ApproverInterface;

/**
 * Form to delete a reviewer from a node revision.
 *
 * Note that this doesn't actually delete the request.
 * Instead, it sets status to RESCINDED, so that we
 * can keep an audit trail of requests.
 */
class DeleteApproverForm extends ApproverFormBase {

  /**
   * {@inheritdoc}
   */
  public $allowedFields = [
    'notes',
  ];

  /**
   * {@inheritdoc}
   */
  public $status = ApproverInterface::APPROVAL_RESCINDED;

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $formState) {
    $form = parent::form($form, $formState);

    $this->setStatus($form);
    $this->resetNotes($form);
    $this->removeFields($form);

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function getSubmitTitle() {
    return $this->t('Delete request');
  }

}
