<?php

namespace Drupal\workbench_approver\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\workbench_approver\Entity\ApproverInterface;

/**
 * Form for a reviewer to reject a node revision.
 */
class RejectForm extends ApproverFormBase {

  /**
   * {@inheritdoc}
   */
  public $allowedFields = [
    'notes',
  ];

  /**
   * {@inheritdoc}
   */
  public $status = ApproverInterface::APPROVAL_REJECTED;

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $formState) {
    $form = parent::form($form, $formState);

    $this->setStatus($form);
    $this->resetNotes($form);
    $this->removeFields($form);

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function getSubmitTitle() {
    return $this->t('Request changes');
  }

}
