<?php

namespace Drupal\workbench_approver\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\workbench_approver\Entity\ApproverInterface;

/**
 * Form to update an approval request.
 *
 * We only allow the deadline and required fields to change.
 */
class UpdateApproverForm extends ApproverFormBase {

  /**
   * {@inheritdoc}
   */
  public $allowedFields = [
    'deadline',
    'notes',
    'required',
  ];

  /**
   * {@inheritdoc}
   */
  public $status = ApproverInterface::APPROVAL_GRANTED;

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $formState) {
    $form = parent::form($form, $formState);

    $this->resetNotes($form);
    $this->removeFields($form);

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function getSubmitTitle() {
    return $this->t('Edit request');
  }

}
