<?php

namespace Drupal\workbench_approver\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;
use Drupal\workbench_approver\Entity\Approver;

/**
 * Plugin implementation of the 'approver_status' formatter.
 *
 * @FieldFormatter(
 *   id = "approver_status",
 *   label = @Translation("Approval status"),
 *   field_types = {
 *     "integer",
 *   }
 * )
 */
class ApproverStatusFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];

    foreach ($items as $delta => $item) {
      $elements[$delta] = ['#markup' => Approver::statusName($item->value)];
    }

    return $elements;
  }

}
