<?php

namespace Drupal\Tests\workbench_approver\Functional;

/**
 * Tests that our system doesn't break node creation.
 *
 * @group workbench_approver
 */
class NodeCreateTest extends WorkbenchApproverTestBase {

  /**
   * Tests node creation.
   */
  public function testCreateNode() {
    $this->drupalLogin($this->adminUser);
    $this->drupalGet('node/add/approved');
    $this->submitForm([
      'title[0][value]' => 'approved content',
      'moderation_state[0][state]' => 'draft',
    ], 'Save');
    $node = $this->getNodeByTitle('approved content');
    if (!$node) {
      $this->fail('Test node was not saved correctly.');
    }
    $this->assertEquals('draft', $node->get('moderation_state')->getString());
  }

}
