<?php

namespace Drupal\Tests\workbench_approver\Functional;

/**
 * Tests approval handling when revisions are deleted.
 *
 * @group workbench_approver
 */
class RevisionDeleteTest extends WorkbenchApproverTestBase {

  /**
   * Tests when a revision is deleted.
   *
   * @covers \Drupal\workbench_approver\Services\ApproverManagerInterface::entityRevisionDelete()
   *
   * All related approvals should be deleted.
   */
  public function testRevisionDelete() {
    $approved_node = $this->createNodeWithApprovalRequests();

    // Delete the revision.
    $this->drupalLogin($this->adminUser);
    $delete_path = '/node/' . $approved_node->id() . '/revisions/' . $approved_node->getRevisionId() . '/delete';
    $this->drupalGet($delete_path);

    $return_path = '/node/' . $approved_node->id();
    $this->assertSession()->buttonExists('Delete')->click();
    $this->assertSession()->addressEquals($return_path);

    $this->assertApprovers($approved_node, 0);
  }

}
